Zum Inhalt springen

database_api.find_smt_contributions ​

since HF23 deprecated

SMT has been abandoned; this RPC method is no longer provided.

Purpose ​

Findet SMT-Einzahlungen (Smart Media Token, SMT). Einzahlungen (contributions) werden benötigt, um einzelne Einzahlungen an einem SMT während der ICO-Phase nachzuverfolgen.

Siehe: Token Units, Vesting Contributions

Parameters ​

PARAMETERS
json
{
  "symbol_contributors": []
}

⚠ Diese Methode ist veraltet (SMT-Ära) und wird von öffentlichen Knoten nicht mehr bereitgestellt.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_smt_contributions",
    "params": {
      "symbol_contributors": []
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "contributions": [
    {
      "id": 0,
      "symbol": {
        "nai": "@@422838704",
        "decimals": 0
      },
      "contributor": "alice",
      "contribution_id": 0,
      "contribution": {
        "amount": "1000",
        "precision": 3,
        "nai": "@@000000021"
      }
    }
  ]
}